What is "Script Manager"?

An administrator is able to do official announcement, settings i.e. configuration, sending file, file deletion and/or uninstalling program etc.

for all clients who are registered in the site server by this function, 'Script Manager'.

Fundamentally the function of Remote-control at the Manager console is applied to clients whose PC is on however once the script is registered

the action that an administrator has command will be activated and applied to any client who connect to the server for the period of time that is set.

Replacement of the server with new one, the client configuration settings, controlling the use of any illegal software and/or announcement of notice

could be done via the Script Manager.

Since all of the functions that Script Manager has are applied to whoever connected to the server, you shoud be careful to use this function. Please be well aware of how to utilize this function.


View

Display all of the scripts that you are editing. The script that is being edited differs from that of you are using. The script that you are editing could be any file however using script is the one that is registered on the server therefore all clients could refer to and practice. The script that is being edited could be registered to the server by applying the script with administrative command. Each function is catagorized and you are not able to edit the script at View stage.


Notice

If there is any official announcement, you could use this function of Script Manager. The message is sorted by date and subject so clients only recieve the message that has not been given yet.


Settings

It sets configuration for all clients. The client would connect to the server address that has been changed and/or the server is operated on modified connection interval.

Server Information

Server Address #1 : It changes the server address that an user would connect to.

Server Description #1 : It has the description of the Server Address #1 that an user would connect to.

Server Address #2 : When the server #1 is closed or gets out of order it shows the other server address that could be used.

Server Description #2 : It has the description of the Server Address #2 that an user would connect to.

Connection Interval : It sets the connection interval for an user to connect to the server. The default of the connection interval is 7,200 seconds (= 2 hours).

Agent Information

Disable Ping function : It determines whether to use the function of Ping (Network confirmation) when a client connects to the server or run other commands.

View ViRobot Resident : It decides whether to show the icon for ViRobot Resident on Windows tray. Even though the Resident is hidden it still works. This funciton could be useful when there are too many icons on Windows tray.

User Information

Company : An administrator could change the company name for all users at once.


Modify

This function is used when there is any file that should be deleted and/or renamed.

It is applied only to the user(s) who has such file(s) not to others.

List of files that will be deleted

It registers the files that would be deleted. Enter the name of directory of the user's PC on 'Directory'. Then enter the file name and Press the 'Add' button.

List of files that will be renamed

It registers the files that would be renamed. Enter the name of directory of the user's PC on 'Directory'. Enter the current file name on 'File Name' and the new one on 'New File Name'. Then Press the 'Add' button.


Send

An administrator use this function when there are files that are required to be sent to all clients.

List of selected file(s)

Enter the directory name on 'Destination'. If there is no directory where you send your file to it then creates one. You could enter the file name, which you will send, together with the directory name or choose few files that you want to send by clicking the 'Browse' button and add them.

List of selected directory

Enter the directory name on 'Destination'. If there is no directory where you send your file to it then creates one. You could enter the directory name, which you will send, or choose the directory(-ies) that you want to send by clicking the 'Browse' button and add them.


Execute

This function could be used when there is any of file and/or program that has to be executed for all clients. Enter the name of directory where the file that you are going to execute is in on the 'Client's Directory'. Then enter the file name and add it. You are able to rank the order of execution for these files.


Uninstall

You use this function when there is any program that you want to uninstall for all clients. Please enter the precise name of program that should be uninstalled. The program name here means that those which are registered in 'Program Add/Remove' on the control panel. You could copy the program from the 'Software Information' on the 'Manager Console' if the Manager Console for the Server is on.

Choose the program name that you are going to uninstall from the 'Software Information' window and then go to the 'Item Copy' by clicking the right mouse button.

Paste the program name you have just copied to the Name of Program on Script Manager then add it.


Order

It determines the order of execution for items that are registered on the script.

For instance, you could register the file on 'Send' then it will enable you to distribute the program to clients.

Then you should register the name of the file, which you have just sent, on 'Execute'. It will make you to install the program and run it.

Please make sure that you should do the 'Send' first then 'Execute'.

List of File(s)

It shows the items that are not on the 'Order of execution' but those are registered on the List of Script. An administrator can Add/Remove the item on the 'List of File(s)'.

Order of execuiton

All clients should run the item by 'Order of execution'. For example, when you want to uninstll any of illegal software you can announce it first to all clients then make them reply on it regarding this matter.


Manage

It shows the Script Status. It also enables an administrator to create the new script and save and read it as a file.

Script Status

An administrator can check whether or not the script is now being used.

Script Management

It manages the script that is being edited and those you are using. With the 'Edit' an administrator can manage the script that is being edited. He/she can delete any script that he/she is using and/or apply the script that is being edited with the 'Script'.

New Script : An administrator can create new script. If you do not have any script you are not be able to add the new function on it. You have to start with creation of new script.

Open File : You can edit scripts after you read the saved ones.

Save As a File : It saves the script file that is being edited then you could read this script file next time.

Delete Script : It makes the activating script to be stopped.

Apply Script : It makes the script that is being edited to be applied. Any of applied script will be run for all clients.


Apply Item

If you tick on the box, 'New ones that has been added/edited are reflected to 'Apply Item', any changes you make will be applied when only you click the button, 'Apply Item' at the bottom of the Script Manager window.